
QGIS Application - Bug report #13863

Complex Polygon not displayed on screen if it can not be displayed entirely

2015-11-21 12:58 PM - Yorck Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21886

Description

Hi, this issue may be somehow related to #13862.

This compley polygon with "cut outs" will only be displayed on screen is it does entirely fit the screen. If the focus is moved in a way that

the polygon is partially moved over the screens borders, it will not be displayed anymore.

Attached 2 screenshots + the shp-files.

Many thanks for solving this issue!

YN

Related issues:

Related to QGIS Application - Bug report # 13862: Labels are not displayed on... Closed 2015-11-21

History

#1 - 2015-12-21 01:17 PM - Giovanni Manghi

- Target version deleted (Version 2.14)

- Category changed from Map Canvas to Vectors

- Status changed from Open to Feedback

- Affected QGIS version changed from 2.12.0 to master

- Operating System deleted (Win 10)

- OS version deleted (1511)

this polygon has a nasty error,

if trying to import it in postgis I get

Creation error for features from #0 to #0. Provider errors was: 

PostGIS error while adding features: ERROR:  Polygon must have closed rings

CONTEXT:  SQL function "st_geomfromwkb" statement 1

if you clean it, for example with the st_makevalid function with the

http://plugins.qgis.org/plugins/processinglwgeomprovider/

plugin, you get a vector without this issue.

#2 - 2015-12-22 07:50 AM - Giovanni Manghi
http://plugins.qgis.org/plugins/processinglwgeomprovider/


will be fixed with https://github.com/qgis/QGIS/pull/2606

#3 - 2016-01-04 04:50 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#4 - 2016-01-05 03:38 AM - Nyall Dawson

- Status changed from Closed to Reopened

Not yet fixed

#5 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2017-05-19 09:23 AM - Jürgen Fischer

- Related to Bug report #13862: Labels are not displayed on Layers with "cut-outs" added

#7 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution changed from fixed/implemented to end of life

- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

visible.PNG 961 KB 2015-11-21 Yorck Neumann

not_visible.PNG 761 KB 2015-11-21 Yorck Neumann

polygon.zip 12 KB 2015-11-21 Yorck Neumann
